# Interface AsyncGeneratorFunction

interface AsyncGeneratorFunction {
new AsyncGeneratorFunction new (...args): AsyncGenerator<unknown, any, unknown>;
length: number;
name: string;
prototype: AsyncGenerator<unknown, any, unknown>;
(...args): AsyncGenerator<unknown, any, unknown>;
}

- AsyncGeneratorFunction(...args): AsyncGenerator<unknown, any, unknown>

- Creates a new AsyncGenerator object.

  #### Parameters

  - `Rest` ...args: any[]

    A list of arguments the function accepts.

  #### Returns AsyncGenerator<unknown, any, unknown>

  - Defined in node_modules/typescript/lib/lib.es2018.asyncgenerator.d.ts:39

#####
Index

### Constructors

constructor

### Properties

length
name
prototype

## Constructors

### constructor

- new AsyncGeneratorFunction(...args): AsyncGenerator<unknown, any, unknown>

- Creates a new AsyncGenerator object.

  #### Parameters

  - `Rest` ...args: any[]

    A list of arguments the function accepts.

  #### Returns AsyncGenerator<unknown, any, unknown>

  - Defined in node_modules/typescript/lib/lib.es2018.asyncgenerator.d.ts:34

## Properties

### `Readonly` length

length: number

The length of the arguments.

- Defined in node_modules/typescript/lib/lib.es2018.asyncgenerator.d.ts:43

### `Readonly` name

name: string

Returns the name of the function.

- Defined in node_modules/typescript/lib/lib.es2018.asyncgenerator.d.ts:47

### `Readonly` prototype

prototype: AsyncGenerator<unknown, any, unknown>

A reference to the prototype.

- Defined in node_modules/typescript/lib/lib.es2018.asyncgenerator.d.ts:51